Bug 448939 - Aborted (core dumped) while --rebuild the srpm
Aborted (core dumped) while --rebuild the srpm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 11:41 EDT by Marek Mahut
Modified: 2009-01-09 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (6.54 KB, text/plain)
2008-05-29 11:42 EDT, Marek Mahut
no flags Details
reproducer (2.78 MB, application/octet-stream)
2008-05-29 11:44 EDT, Marek Mahut
no flags Details

  None (edit)
Description Marek Mahut 2008-05-29 11:41:23 EDT
Description of problem:

rpmbuild aborts with core dump while rebuilding a srpm.

Version-Release number of selected component (if applicable):

rpm-build-4.4.2.2-7.fc8

How reproducible:

always

Steps to Reproduce:
1. wget http://mmahut.fedorapeople.org/misc/PythonCard-0.8.2-1.fc8-buggy.src.rpm
2. rpmbuild --rebuild ./PythonCard-0.8.2-1.fc8-buggy.src.rpm
  
Actual results:

rpmbuild aborts

Expected results:

rpmbuild rolls the rpm
Comment 1 Marek Mahut 2008-05-29 11:42:32 EDT
Created attachment 307098 [details]
backtrace
Comment 2 Marek Mahut 2008-05-29 11:44:14 EDT
Created attachment 307100 [details]
reproducer
Comment 3 Panu Matilainen 2008-05-29 13:23:57 EDT
The problem is in the packaging, there's just no proper error return path in rpm
for this situation:

    rpmError(xx, _("magic_file(ms, \"%s\") failed: mode %06o %s\n"),
                        s, mode, magic_error(ms));
    assert(ftype != NULL);  /* XXX figger a proper return path. */

What happens here is that in %install, you mv files into the packages docdir,
but %doc processing blows away the docdir before copying anything into it. Right
before the abort you'll see something like this in the buildlog:

+ export DOCDIR
+ rm -rf
/var/tmp/PythonCard-0.8.2-1.fc9-root-pmatilai/usr/share/doc/PythonCard-0.8.2
+ /bin/mkdir -p
/var/tmp/PythonCard-0.8.2-1.fc9-root-pmatilai/usr/share/doc/PythonCard-0.8.2
+ cp -pr LICENSE.txt PKG-INFO README_StyleEditor.txt README.txt
/var/tmp/PythonCard-0.8.2-1.fc9-root-pmatilai/usr/share/doc/PythonCard-0.8.2

So anything you manually put into %{_docdir}/%{name}-%{release} in %install just
got removed so the file classification code tries to access non-existent files,
that's why it blows up.

Moral of the story: don't mix %doc and manual copying/moving into the docdir.
Either install all the docs with %doc in %files or put all the docs there
manually. And yes, rpm should handle this more cleanly than abort().
Comment 4 Jeff Johnson 2008-05-29 22:33:54 EDT
Question: What is the Finnish translation for the comment

    XXX figger a proper return path

Inquiring minds wish to know ...
Comment 5 Bug Zapper 2008-11-26 05:47:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:33:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.